Adds an arc curve to the document.
Rhino.AddArc (arrPlane, dblRadius, dblAngle)
arrPlane |
Required. Array. The plane on which the arc will lie. The origin of the plane will be the center point of the arc. The X-axis of the plane will define the 0 angle direction. |
dblRadius |
Required. Number. The radius of the arc. |
dblAngle |
Required. Number. The angle of the arc in degrees. |
String |
The identifier of the new object if successful. |
Null |
If not successful, or on error. |
Dim arrPlane, arrRotated
arrPlane = Rhino.WorldXYPlane
arrRotated = Rhino.RotatePlane(arrPlane, 45.0, arrPlane(3))
Rhino.AddArc arrRotated, 5.0, 45.0